package cz.moneta.test.dsl.cagw.api.v1.external.product;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.cagw.api.v1.external.product.cloan.CloanBuilder;
import cz.moneta.test.harness.endpoints.cagw.CaGwEndpoint;
import cz.moneta.test.harness.support.rest.Builders;
import cz.moneta.test.harness.support.rest.RestRequest;

public class ProductBuilder {
    private final Harness harness;

    public ProductBuilder(Harness harness) {
        this.harness = harness;
    }

    public CloanBuilder cbl() {
        return new CloanBuilder(harness);
    }

    private <RESP, B extends RestRequest<B, ?, RESP>> B getBuilder(Class<B> builderClass) {
        return Builders.newRestBuilder(builderClass, CaGwEndpoint.class, harness);
    }
}
